import { Controller, Get, Post, Put, Query } from '@nestjs/common';
import { EquipoService } from './equipo.service';
import { EquipoDto } from './dto/equipo.dto';
import { ApiTags } from '@nestjs/swagger';

@Controller('equipo')
@ApiTags('equipo')
export class EquipoController {
  constructor(private equipoService: EquipoService) {}

  @Get()
  get() {
    return this.equipoService.findAll();
  }

  @Get('equipo')
  equipo(@Query() query: EquipoDto) {
    return this.equipoService.findById(parseInt(query.id_equipo));
  }

  // Terminar uwu
  @Get('equipos')
  equiposs() {}

  // Terminar uwu
  @Put()
  update() {}
}
